We're updating the issue view to help you get more done. 

PyFi not working with 0.7.0

Description

As per the following gist "fifo" console client no longer works with 0.7.0 unless I am doing something wrong.

tested the install in a clean zone to illuminate possible contamination running from my macbook and same outcome was seen. Perhaps some changes need to be made for the config file for folks running 0.7.0?

As per the gist install was performed as following.

1) pip install pyfi
2) initial run to generate sample .fifo file
3) edit .fifo file and put in correct fifo zone ip and correct credentials
4) run e.g. "fifo vms list"

https://gist.github.com/trentster/3aa1633c6ed8c1cf1ca3

Ultimate error is "ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:581)"

Environment

Status

Assignee

Mark Slatem

Reporter

Mark Slatem

Fix versions

Affects versions

0.7.0

Priority

High